<?

session_start();

header( 'Content-type: text/html; charset=windows-1251' );

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

#if ( !isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/function.php';

$id = ( int ) $_GET['id'];
$type = check_text( $_GET['type'] );

?>
  <div class="modal fade bd-example-modal-lg" id="modalf">
	  <div class="modal-dialog " role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
			<h4 class="modal-title">Оформление жалобы на рекламную площадку</h4>
		  </div>
		  
		  <div class="modal-body"><!--Содержимое модального окна начало-->
			<div class="arrow_d_gift"></div>
			  <div id="gif_open">
				<div class="wrap_body_gift">
				  ID площадки: <?=$id?>
				</div>
			  </div>
			  <div class="form-group">
				<label for="message-text" class="form-control-label" style="">Изложите суть жалобы:</label>
				<textarea class="form-control" style="width: 541px; height: 150px; margin-top: 8px;" id="message-text"></textarea>
			  </div>
			  <div class="error_modal_ultimate" > </div>
			  <p style="display: none;" id="success_text"><span class="glyphicon glyphicon-info-sign"></span> Спасибо что проинформировали, ваша жалоба будет рассмотрена арбитрами &nbsp;&nbsp;&nbsp;&nbsp;в ближайшее время! &hellip;</p>
		  </div><!--Содержимое модального окна конец-->
		  
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
			<button type="button" class="btn btn-primary" id="send_walls_gift" onclick="send_complaints();">Отправить жалобу</button>
		  </div>
		</div>
	  </div>
  </div>
	
  <script type="text/javascript">
	$(document).ready(function(){
		var options = {
			show : true
		}
		$('#modalf').modal(options);
	});

	function send_complaints() {
		$.post('ajax.php?func=complaints_adv',{
			id : <?=$id?>,
			type: '<?=$type?>',
			text: $('#message-text').val()
			
		}, function(data){
			if (data == 1){
				$(".form-group").fadeOut(300);
				$("#gif_open").fadeOut(300);
				$("#send_walls_gift").fadeOut(300);
				$("#success_text").fadeIn(800);
			} else {
				$('.error_modal_ultimate').fadeIn().html(data);
				setTimeout(function() {
					$('.error_modal_ultimate').fadeOut().html('&nbsp;');
				}, 4000);
			}
		});
		return false;
	}

  </script>